Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class ManagedArray

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  org.springframework.beans.factory.support.ManagedList<java.lang.Object>
                      org.springframework.beans.factory.support.ManagedArray

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.List<java.lang.Object>, java.util.RandomAccess, BeanMetadataElement, Mergeable

    public class ManagedArray

extends ManagedList<java.lang.Object>

Tag collection class used to hold managed array elements, which may include runtime bean references (to be resolved into bean objects).

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ManagedArray(java.lang.String elementTypeName, int size)` Create a new managed array placeholder.

Method Summary

Methods inherited from class org.springframework.beans.factory.support.ManagedList
`getElementTypeName, getSource, isMergeEnabled, merge, setElementTypeName, setMergeEnabled, setSource`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ManagedArray

    public ManagedArray(java.lang.String elementTypeName,
                        int size)

  Create a new managed array placeholder.

  Parameters:
    `elementTypeName` - the target element type as a class name
    `size` - the size of the array

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD